<div ng-controller="ListaOperadorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Contenedor</a>
          </li>
          <li>
            <a>Lista</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
                <div class="col-md-2"></div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="">Año</label>
                    <select class="form-control" ng-model="model.id_anio" ng-change="listSemana(model.id_anio)" ng-options="anio.id as anio.anio for anio in anios">
                      <option value="">-- AÑO --</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="">Semana</label>
                    <select class="form-control" ng-model="model.id_semana" ng-disabled="!model.id_anio" ng-change="list(true)" ng-options="semana.id as semana.nombre for semana in semanas">
                        <option value="">-- SEMANA --</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-2"></div>
              </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE CONTENEDORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Contenedor">
                  </div>
                </div>
                <div class="col-md-6">
                  <div>
                    <a ui-sref="admin.container.archivo_operador" ng-click="redirectTo()" class="btn btn-orange btn-rounded-10 btn-block btn-border"><i class="fa fa-files-o"></i> gestión de archivos</a>
                  </div>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{contenedores.length}} CONTENEDORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="contenedores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-bordered">
                          <tr style="background:#F2F2F2">
                            <th class="text-center">OPCIONES</th>
                            <th class="text-center">ESTADO</th>
                            <th class="text-center">W</th>
                            <th class="text-center">INICIO PROCESO</th>
                            <th class="text-center">FIN PROCESO</th>
                            <th class="text-center">OPERADOR LOGÍSTICO</th>
                            <th class="text-center">LÍNEA</th>
                            <th class="text-center">NAVE</th>
                            <th class="text-center">BOOKING</th>
                            <th class="text-center">CLIENTE</th>
                            <th class="text-center">CANTIDAD CAJAS</th>
                            <th class="text-center">MARCA</th>
                            <th class="text-center">CONTENEDOR</th>
                            <th class="text-center">ORDEN/REFERENCIA</th>
                            <th class="text-center">DESTINO</th>
                            <th class="text-center">PESO NETO (Kg)</th>
                            <th class="text-center">PESO BRUTO (Kg)</th>
                            <th class="text-center">FECHA ZARPE</th>
                            <th class="text-center">FECHA LLEGADA</th>
                            <th class="text-center">FACTURA</th>
                            <th class="text-center">PACKING</th>
                            <th class="text-center">CERTIFICADO</th>
                            <th class="text-center">VALIJA</th>
                          </tr>
                          <tbody dir-paginate="contenedor in contenedores |filter: buscar | itemsPerPage: 10" pagination-id="contenedor.id_contenedor">
                            <tr ng-class="{'info': contenedor.estado == 'En la nave'}">
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                <div class="input-group-btn">
                                  <button class="btn btn-info btn-border btn-radius-left btn-radius-right btn-sm" title="EDITAR CONTENEDOR {{contenedor.numero_contenedor | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(contenedor);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                </div>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span class="label" style="background: {{contenedor.color_estado}}">
                                    {{contenedor.estado | uppercase}}
                                  </span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.semana}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_inicio | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_fin | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.operador | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.linea_naviera | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.sigla_linea_naviera | uppercase}} - {{contenedor.nave | uppercase}} V. {{contenedor.viaje}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.booking | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.cliente | uppercase}}</td>
                              <td class="text-center" nowrap>{{ contenedor.cajas[0].cantidad_cajas }}</td>
                              <td class="text-center" nowrap>{{contenedor.cajas[0].marca | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.numero_contenedor}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.referencia | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.puerto_destino | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_neto}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_bruto}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_zarpe | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_llegada | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_factura}};" class="label">{{contenedor.estado_factura | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_packing}};" class="label">{{contenedor.estado_packing | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_certificado}};" class="label">{{contenedor.estado_certificado | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_valija}};" class="label">{{contenedor.estado_valija | uppercase}}</span>
                              </td>
                            </tr>
                            <tr ng-repeat="caja in contenedor.cajas.slice(1,contenedor.cajas.length)" ng-class="{'info': contenedor.estado == 'En la nave'}">
                              <td class="text-center" nowrap>{{caja.cantidad_cajas}}</td>
                              <td class="text-center" nowrap>{{caja.marca | uppercase}}</td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="contenedor.id_contenedor"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="contenedores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay contenedores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>            
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="contenedor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Contenedor"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">
        <div class="row">
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="numero_contenedor">Número</label>
                  <input type="text" ng-model="obj.numero_contenedor" class="form-control uppercase" id="numero_contenedor" name="numero_contenedor" placeholder="Ejm. LIAM 989873-1"> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="id_lineanaviera">Línea Naviera<span class="obligatorio">*</span></label>
                  <select class="form-control" id="id_lineanaviera" name="id_lineanaviera" ng-model="obj.id_lineanaviera" ng-options="linea.id as linea.nombre for linea in lineas" required>
                      <option value="">-- SELECCIONE LÍNEA --</option>
                  </select>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="nave">Nave<span class="obligatorio">*</span></label>
                  <input type="text" id="nave" name="nave" ng-model="obj.nave" class="form-control uppercase" placeholder="Nave" required> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="cliente">Cliente<span class="obligatorio">*</span></label>  
                  <input type="text" id="cliente" name="cliente" ng-model="obj.cliente" class="form-control uppercase" placeholder="Cliente" readonly> 
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="operador">Operador<span class="obligatorio">*</span></label>
                  <input type="text" id="operador" name="operador" ng-model="obj.operador" class="form-control uppercase" placeholder="Operador" readonly> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="peso_neto">Peso Neto (kg)</label>
                  <input type="text" id="peso_neto" name="peso_neto" ng-model="obj.peso_neto" class="form-control uppercase" placeholder="Peso Neto" disabled>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="peso_bruto">Peso Bruto (kg)</label>
                  <input type="text" class="form-control uppercase" id="peso_bruto" name="peso_bruto" ng-model="obj.peso_bruto" placeholder="Peso Bruto"> 
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="referencia">Referencia<span class="obligatorio">*</span></label>
                  <input type="text" id="referencia" name="referencia" ng-model="obj.referencia" class="form-control uppercase" placeholder="Referencia" readonly>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="booking">Booking<span class="obligatorio">*</span></label>
                  <input type="text" id="booking" name="booking" ng-model="obj.booking" class="form-control uppercase" placeholder="Booking" required>
                </div>
              </div>
            </div> 
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="viaje">Viaje<span class="obligatorio">*</span></label>
                  <input type="text" id="viaje" name="viaje" ng-model="obj.viaje" class="form-control uppercase" placeholder="Viaje" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="id_puertodestino">Puerto Destino<span class="obligatorio">*</span></label>
                  <select class="form-control" id="id_puertodestino" name="id_puertodestino" ng-model="obj.id_puertodestino" ng-options="puerto.id as puerto.nombre for puerto in puertos">
                      <option value="">-- SELECCIONE PUERTO --</option>
                  </select> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_proceso_inicio_t">Fecha Inicio Proceso<span class="obligatorio">*</span></label>
                  <input type="date" id="fecha_proceso_inicio_t" name="fecha_proceso_inicio_t" ng-model="obj.fecha_proceso_inicio_t" class="form-control" readonly>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_proceso_fin_t">Fecha Fin Proceso<span class="obligatorio">*</span></label>
                  <input type="date" id="fecha_proceso_fin_t" name="fecha_proceso_fin_t" ng-model="obj.fecha_proceso_fin_t" class="form-control" readonly> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_zarpe_t">Fecha de Zarpe</label>
                  <input type="date" id="fecha_zarpe_t" name="fecha_zarpe_t" ng-model="obj.fecha_zarpe_t" class="form-control">
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_llegada_t">Fecha de Llegada</label>
                  <input type="date" id="fecha_llegada_t" name="fecha_llegada_t" ng-model="obj.fecha_llegada_t" class="form-control"> 
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div> 
        <legend class="text-center"><i class="fa fa-inbox"></i> Lista Cajas<span class="obligatorio">*</span></legend>
        <div class="row">
          <div class="col-md-3"></div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-12" ng-if="obj.cajas.length > 0">
                <div class="table-responsive">
                  <table class="table table-hover table-bordered">
                      <thead>
                          <tr>
                              <th class="text-center">Total</th>
                              <th class="text-center">Marca</th>
                          </tr>
                      </thead>
                      <tbody>
                          <tr ng-repeat="cja in obj.cajas track by $index">
                              <td class="text-center"><strong>{{cja.cantidad_cajas}}</strong></td>
                              <td class="text-center"><strong>{{cja.marca | uppercase}}</strong></td>
                          </tr>
                      </tbody>
                  </table>
                </div>
              </div>
              <div class="col-md-12" ng-if="obj.cajas.length == 0">
                <p class="text-center">
                  <i class="icon-info fa-2x"></i>
                  <h5 class="text-center">No tiene Cajas</h5>
                </p>
              </div>
            </div>            
          </div>
          <div class="col-md-3"></div>
        </div>
        <hr class="mt-10 mb-10">
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
</div>